Next: fma, Previous: fdim, Up: Math

### 1.20 `floor`, `floorf`, `ceil`, `ceilf`—floor and ceiling

Synopsis

         #include <math.h>
         double floor(double x);
         float floorf(float x);
         double ceil(double x);
         float ceilf(float x);

Description
`floor` and `floorf` find the nearest integer less than or equal to x. `ceil` and `ceilf` find the nearest integer greater than or equal to x.

Returns
`floor` and `ceil` return the integer result as a double. `floorf` and `ceilf` return the integer result as a float.

Portability
`floor` and `ceil` are ANSI. `floorf` and `ceilf` are extensions.